Create credential report
Roles
/v1/events/credential-reportsCreates a report of credential lifecycle operations (issuance and status changes).
Only CWT and mDoc credentials are included in the report.
Authorization
bearerAuth In: header
Request Body
application/json
The credential report parameters
Response Body
application/json
application/json
text/plain
curl -X POST "https://example.vii.au01.mattr.global/v1/events/credential-reports" \ -H "Content-Type: application/json" \ -d '{ "timezoneOffset": "+02:00", "startDate": "2026-02-01", "endDate": "2026-02-28", "profiles": [ "cwt", "mdoc" ] }'{
"data": [
{
"date": "2026-02-25",
"operation": "issued",
"profile": "mdoc",
"credentialType": "org.iso.18013.5.1.mDL",
"count": 5
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjYtMDItMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"How would you rate this page?
Retrieve events GET
Returns a list of matching events from the tenant's event database. The `categories` and `types` parameters filter based on an **OR** logic, whilst all other parameters use an "AND" logic. For example `(categories OR types) AND requestIds AND dateFrom`. Refer to the [Events registry](https://api-reference-sdk.mattr.global/event-registry/latest/index.html) for an inclusive list of events categories and types.
Sign a message POST
Accepts a message payload and signs it with a JWS (JSON Web Signature) using the a specific key from the DID (Decentralized Identifier) provided in the request. ### **Analytic events** * MESSAGING_SIGN_START * MESSAGING_SIGN_SUCCESS * MESSAGING_SIGN_FAIL